"GetFitARMAMean" <-
function(z,p,q,pApprox=30,init=0){
mz<-mean(z)
y<-z-mz
mu<-0
if (q>0)
   pApp <- pApprox
else
   pApp <- p
ans<-GetFitARMA(y,p,q,init=init)
if (ans$convergence != 0) warning("GetARMAMeanFit: convergence = ", ans$convergence)
pinit<-c(ARToPacf(ans$phi),ARToPacf(ans$theta))
if (max(abs(pinit))>0.99){
    message("GetARMAMeanFit: bailing out. Used sample mean, pinit=", pinit)
    ZZ<<-y #save problem data
    stop()
    return(c(ans, mean=mz, NumIterations=0, etol=NULL))
    }
logL<-ans$loglikelihood
g<-TacvfARMA(ans$phi,ans$theta,pApp)
coefAR<-PacfDL(g, LinearPredictor=T)$ARCoefficients
mu<-GetARMeanMLE(y, coefAR)
x<-y-mu
ans<-GetFitARMA(x,p,q,init=pinit)
etol<-abs(ans$loglikelihood-logL)
iter<-1
while(etol>1e-3 && iter<5){
    iter<-iter+1
    logL<-ans$loglikelihood
    g<-TacvfARMA(ans$phi,ans$theta,pApp)
    coefAR<-PacfDL(g, LinearPredictor=T)$ARCoefficients
    mu<-GetARMeanMLE(y, coefAR)
    x<-y-mu
    pinit<-c(ARToPacf(ans$phi),ARToPacf(ans$theta))
    ans<-GetFitARMA(x,p,q,init=pinit)    
    etol<-abs(ans$loglikelihood-logL)
    }
c(ans, mean=mz+mu, NumIterations=iter, etol=etol)
}

