\name{GetFitARMAMean}
\alias{GetFitARMAMean}
\title{ MLE for ARMA parameters and mean }
\description{

}
\usage{
GetFitARMAMean(z, p, q, pApprox = 30, init = 0)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{z}{ time series }
  \item{p}{ AR order }
  \item{q}{ MA order }
  \item{pApprox}{ AR order for the approximation }
  \item{init}{ initial phi(1),...,phi(p),theta(1),...,theta(q) }
}
\details{
MLE estimation
}

\value{
  \item{loglikelihood}{value of maximized loglikelihood}
  \item{phiHat}{estimated phi parameters}
  \item{thetaHat}{estimated theta parameters}
  \item{convergence}{result from \code{optim} if used. Otherwise 0.}
  \item{algorithm}{ "L-BFGS-B" or "Nelder-Mead" or "optimize" or "cubic"} 
}

\references{
McLeod, A.I. and Zhang, Y. (2007, tentatively accepted).
Faster ARMA Maximum Likelihood Estimation.
Computational Statistics and Data Analysis. 
}

\author{ A.I. McLeod, aimcleod@uwo.ca }

\seealso{ 
\code{\link{arima}}, 
\code{\link{FitARMA}},
\code{\link{GetFitARMA}} 
}
\examples{
data(SeriesA)
GetFitARMA(SeriesA, 1, 1)
  }

\keyword{ ts }
