\name{HRARMA}
\alias{HRARMA}
\title{ Hannan-Rissanen ARMA estimator }
\description{
Estimates the parameters in an ARMA(p,q) model.
}
\usage{
HRARMA(p, q, x, AROrder = 20)
}

\arguments{
  \item{p}{ AR order }
  \item{q}{ MA order }
  \item{x}{ time series }
  \item{AROrder}{ order of approximating AR }
}
\details{
See Hannan & Rissanen (1982).
This provides an efficient estimator which may be used as
initial parameter values in full MLE estimation algorithms.
}
\value{
vector with p+q parameters, phi(1),...,phi(p),theta(1),...,theta(q)
}

\references{ 
Hannan, E.J. and Rissanen, J. (1982).
Recursive estimation of mixed autoregressive-moving average order.
Biometrika 69, 81-94.
 }

\author{ A.I. McLeod }

\seealso{ \code{\link{FitARMA}} }
\examples{
data(SeriesA)
HRARMA(1,1, SeriesA)
}
\keyword{ ts }
